#!/bin/sh

name="lyx"
title="LyX"
package="lyx"
version="1.3.1"
build="1.2"
noarch="n"
build_info="Standard build."

info="Advanced word processor for Unix"
desc="LyX is an advanced document processor for Unix. It encourages
an approach to writing based on the structure of your documents, not their
appearance, allowing you to concentrate on writing rather than visual 
layout. It automates formatting according to predefined rule sets, 
yielding consistency throughout even the most complex documents."

category="desktop/office"
environment="x11/qt"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,FAQ,INSTALL,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.lyx.org/pub/lyx/stable/$name-$version.tar.bz2

export QTDIR=/usr/lib/qt

configure_option --prefix=/usr
configure_option --with-frontend=qt

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: lyx.builder,v $
# Revision 1.3  2003/03/24 21:59:00  swiergot
# - Export QTDIR variable.
#
# Revision 1.2  2003/03/24 21:42:57  stoodi
# - changed prermissions to lyx.builder
#
# Revision 1.1  2003/03/24 21:36:17  stoodi
# - Initial release.
# - Version 1.3.1, build 0
#
